package betterquesting.commands.user;

import betterquesting.api.api.QuestingAPI;
import betterquesting.api.questing.party.IParty;
import betterquesting.api2.storage.DBEntry;
import betterquesting.commands.QuestCommandBase;
import betterquesting.network.handlers.NetBulkSync;
import betterquesting.network.handlers.NetNameSync;
import betterquesting.questing.party.PartyManager;
import betterquesting.storage.NameCache;
import net.minecraft.command.CommandBase;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.server.MinecraftServer;
import net.minecraft.util.ChatComponentTranslation;

/* loaded from: betterquesting_commands_user.jar:betterquesting/commands/user/QuestCommandRefresh.class */
public class QuestCommandRefresh extends QuestCommandBase {
    public String getCommand() {
        return "refresh";
    }

    public void runCommand(MinecraftServer server, CommandBase command, ICommandSender sender, String[] args) {
        if (sender instanceof EntityPlayerMP) {
            EntityPlayerMP player = (EntityPlayerMP) sender;
            if (server.func_71262_S() || !server.func_71214_G().equals(player.func_146103_bH().getName())) {
                NetBulkSync.sendReset(player, true, true);
                sender.func_145747_a(new ChatComponentTranslation("betterquesting.cmd.refresh", new Object[0]));
                return;
            }
            boolean nameChanged = NameCache.INSTANCE.updateName(player);
            DBEntry<IParty> party = PartyManager.INSTANCE.getParty(QuestingAPI.getQuestingUUID(player));
            if (!nameChanged || party == null) {
                return;
            }
            NetNameSync.quickSync((EntityPlayerMP) null, party.getID());
        }
    }
}
